import request from '@/utils/request'

// 查询获取NB码失败记录列表
export function listHistory(query) {
  return request({
    url: '/received/nb/failure/history/list',
    method: 'get',
    params: query
  })
}

// 查询获取NB码失败记录详细
export function getHistory(id) {
  return request({
    url: '/received/nb/failure/history/' + id,
    method: 'get'
  })
}

// 新增获取NB码失败记录
export function addHistory(data) {
  return request({
    url: '/received/nb/failure/history',
    method: 'post',
    data: data
  })
}

// 修改获取NB码失败记录
export function updateHistory(data) {
  return request({
    url: '/received/nb/failure/history',
    method: 'put',
    data: data
  })
}

// 删除获取NB码失败记录
export function delHistory(id) {
  return request({
    url: '/received/nb/failure/history/' + id,
    method: 'delete'
  })
}

// 导出获取NB码失败记录
export function exportHistory(query) {
  return request({
    url: '/received/nb/failure/history/export',
    method: 'get',
    params: query
  })
}
